/*
 	File:		DumpSerialPorts.c
 
 	Contains:	Code which utilizes the routines in SerialPortRoutines.c to
 				display a list of serial ports to the debugger via DebugStr.
 */

#include "SerialPortUtilities.h"

// function prototypes

void			main(void);
static void		DumpSerialPortInfo(CRMSerialPtr serialPortInfo,void * unusedParam);


void main()
	{
	ForEachSerialPort(DumpSerialPortInfo,NULL);
	
	if (GetCRMSerialPtrForPort("\pInternal Modem") != NULL)
		{
		DebugStr("\pfound info for internal modem");
		}
	}


static void
DumpSerialPortInfo(CRMSerialPtr serialPortInfo,void * /* unusedParam */)
	{
	DebugStr(*(serialPortInfo->name));
	}
